Page MenuHomePhabricator

Request to add Matthias Geisler to the ldap/wmde group
Closed, ResolvedPublic

Description

I’m employed at WMDE as a developer and would like to be added to the ldap/wmde group. My username is bitpogo.
I need to

  • sign NDA with WMF legal for LDAP access
  • get added to ldap/wmde

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2018, 12:44 PM

You should be able to access L2 now

Dzahn added a subscriber: Dzahn.

adding @RStallman-legalteam for the NDA step

RobH added a subscriber: RobH.EditedApr 11 2018, 10:33 PM

I'm not sure why L2 was listed as a requirement? The phabricator NDA doesn't really work into any workflow that I'm aware of, we require an NDA on file with WMF legal. (This is not the same as the phabricator one.)

So my understanding is including the L2 is not required. (I'm not sure where it is required.)

@Matthias_Geisler_WMDE: You need to sign an NDA with our legal department.

@Matthias_Geisler_WMDE - will reach out to you via email in the next day or so with the NDA. Thanks!

@Matthias_Geisler_WMDE - I didn't see your email address on the WMDE contact page, so I wanted to double check - is it matthias.geisler@wikimedia.de? You can also email me at rstallman@wikimedia.org and I respond with a link for you to electronically sign the NDA.

Thanks!

Dzahn renamed this task from Request to be added to the ldap/wmde group to Request to add Matthias Geisler to the ldap/wmde group.Apr 12 2018, 7:33 PM
Addshore updated the task description. (Show Details)Apr 13 2018, 7:52 AM

I have removed the line about L2 from here and T192060.
We already realised that we don't need it in Feb, but apparently the template was not updated T187442#3975477

@Matthias_Geisler_WMDE - just a ping on this. Looking for your email address. Thanks!

Dzahn changed the task status from Open to Stalled.Apr 17 2018, 5:24 PM
Dzahn assigned this task to Matthias_Geisler_WMDE.
Dzahn triaged this task as Normal priority.
herron added a subscriber: herron.Apr 23 2018, 1:31 PM

My official address is:
matthias.geisler@wikimedia.de
if I am not in the office and it's urgent you can ping me at:
geislemx@informatik.hu-berlin.de

Dzahn changed the task status from Stalled to Open.Apr 24 2018, 2:29 PM
Dzahn reassigned this task from Matthias_Geisler_WMDE to RStallman-legalteam.

Matthias's NDA is fully signed and on file with legal. Thanks!

Dzahn claimed this task.Apr 24 2018, 9:54 PM

Mentioned in SAL (#wikimedia-operations) [2018-04-24T21:56:30Z] <mutante> adding LDAP user 'bitpogo' to group 'wmde' (T191523)

Dzahn closed this task as Resolved.Apr 24 2018, 9:56 PM
Dzahn updated the task description. (Show Details)

@Matthias_Geisler_WMDE Done! you have been added to the group.

Change 429460 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add bitpogo and tieu to ldap_only admins

https://gerrit.wikimedia.org/r/429460

Change 429460 merged by Dzahn:
[operations/puppet@production] admins: add bitpogo and tieu to ldap_only admins

https://gerrit.wikimedia.org/r/429460